/*
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.inteligr8.alfresco.activiti;

import com.inteligr8.rs.Client;

/**
 * This class serves as the entrypoint to the JAX-RS API for the APS Public
 * ReST API.
 * 
 * @author brian@inteligr8.com
 */
public class ApsPublicRestApiImpl implements ApsPublicRestApi {
	
	private Client client;
	
	public ApsPublicRestApiImpl(Client client) {
		this.client = client;
	}
	
	public Client getClient() {
		return this.client;
	}
	
	public final <T> T getApi(Class<T> apiClass) {
		return this.client.getApi(apiClass);
	}

}
